Subject: RE: bug#14086: 24.3.50; `substitute-command-keys': inappropriate "(that binding is currently shadowed by another mode)"

From: Drew Adams <[email-masked]>
Date: Sat, 3 Oct 2020 19:09:17 -0700 (PDT)

> > `icicle-roundup' is the actual binding, in
> > `minibuffer-local-completion-map'.  Why, in a listing of
> > `minibuffer-local-completion-map', we show the other command as also
> > being bound to `M-r', I don't know.  I don't mean how we do that, but
> > why - for users?
> 
> I think so, yes.

Not sure what you're saying.  Why should we show the
shadowed binding?  That's the question I was asking
there.  How it comes to be shown was the subject
above that in the post.  But should it be shown?
If so, why?